image: gradle:8.10.1-jdk21-graal

stages:
  - build
  - run



build-native-image:
  stage: build
  script:
    - gradle nativeCompile --info  # Build the native image

  artifacts:
    paths:
      - build/native/nativeCompile/  # Store the compiled native image as an artifact

run-native-image:
  stage: run
  script:
    # Automatically trigger the run phase after testing
    - echo "Running the native image again for validation"
    - ./build/native/nativeCompile/springboot

  needs:
    - build-native-image